Get Listing Status
curl --request GET \
--url https://padsplit.fairsentry.com/api/v1/secure/listing-status/{listing_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://padsplit.fairsentry.com/api/v1/secure/listing-status/{listing_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://padsplit.fairsentry.com/api/v1/secure/listing-status/{listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"listing_id": "<string>",
"compliant": true,
"inactive": true,
"noncompliant_since": "<string>",
"noncompliant_sections": [
"<string>"
],
"violation_categories": [
"<string>"
],
"violation_summaries": [
"<string>"
],
"severity": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"message": "<string>"
}Get Listing Status
Get the status of a listing to see if it is currently potentially uncompliant or not.
GET
/
api
/
v1
/
secure
/
listing-status
/
{listing_id}
Get Listing Status
Authorizations
Path Parameters
Response
Successful Response
The unique identifier for the listing.
Whether the listing, based on the most recent compliance check, is currently potentiallycompliant with fair housing laws.
Whether the listing is marked inactive or not.
The date when the listing became potentially non-compliant, if applicable.
The section_type's of the listing that are potentially non-compliant, if any.
The categories of potential violations found in the listing, if any.
Summaries of the potential violations found in the listing, if any.
The maximum severity level of the potential violations found in the listing, if any.
Was this page helpful?
